petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoShellGetContext

Returns the user-provided context associated with a shell Tao

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoShellGetContext(Tao tao,void **ctx)

Not Collective

### Input Parameter

tao -should have been created with TaoSetType(tao,TAOSHELL);

### Output Parameter

ctx -the user provided context

### Notes

This routine is intended for use within various shell routines

### See Also

TaoCreateShell(), TaoShellSetContext()

### Level

advanced

### Location

src/tao/unconstrained/impls/cg/taoshell.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages